Skip to content

Create integrated diagnostic

Request

Creates a new Integrated Diagnostic record. Integrated Diagnostic resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
codestringrequired

Practice- or vendor-specific code for the integrated diagnostic.

Example:"CODE-001"
descriptionstring

Free-text description of the integrated diagnostic.

Example:"Example description"
extensionsobject

Vendor- or practice-specific extensions.

integratedDiagnosticIdstring

Canonical identifier for the integrated diagnostic.

Example:"123e4567-e89b-12d3-a456-426614174000"
isActivebooleanrequired

Whether this integrated diagnostic is active and available for use.

Example:true
namestringrequired

Human-readable name of the integrated diagnostic.

Example:"Example Name"
supplierPriceobject

Supplier price for this diagnostic.

curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/integrated-diagnostic' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "code": "CODE-001",
    "description": "Example description",
    "extensions": {},
    "integratedDiagnosticId": "123e4567-e89b-12d3-a456-426614174000",
    "isActive": true,
    "name": "Example Name",
    "supplierPrice": {}
  }'

Responses

Integrated Diagnostic created successfully

Bodyapplication/json
codestringrequired

Practice- or vendor-specific code for the integrated diagnostic.

Example:"CODE-001"
createdAtstring, (date-time)required

Timestamp when this integrated diagnostic record was created.

Example:"2025-01-01T00:00:00.000Z"
descriptionstringrequired

Free-text description of the integrated diagnostic.

Example:"Example description"
extensionsobjectrequired

Vendor- or practice-specific extensions.

integratedDiagnosticIdstringrequired

Canonical identifier for the integrated diagnostic.

Example:"123e4567-e89b-12d3-a456-426614174000"
isActivebooleanrequired

Whether this integrated diagnostic is active and available for use.

Example:true
namestringrequired

Human-readable name of the integrated diagnostic.

Example:"Example Name"
supplierPriceobjectrequired

Supplier price for this diagnostic.

updatedAtstring, (date-time)required

Timestamp when this integrated diagnostic record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "code": "CODE-001", "createdAt": "2025-01-01T00:00:00.000Z", "description": "Example description", "extensions": {}, "integratedDiagnosticId": "123e4567-e89b-12d3-a456-426614174000", "isActive": true, "name": "Example Name", "supplierPrice": {}, "updatedAt": "2025-01-01T00:00:00.000Z" }